CREATE TABLE hxt_wc_clicked_times (
    WC_CLICKED_TIME_ID            NUMBER(18, 0),
    WORK_FROM_HOME_FLAG           VARCHAR2(12) ,
    DEVICE_TYPE                   VARCHAR2(120),
    GEO_LOCATION                  VARCHAR2(600),
    GEO_LOC_EXCEPTION             VARCHAR2(120),
    GEOFENCE_ERROR                VARCHAR2(120),
    GEOFENCE_VAL_STATUS           VARCHAR2(120),
    TIME_EVENT_ID                 NUMBER(18, 0),
    CLICKED_TIME_STRING           VARCHAR2(320)    NOT NULL,
    DEVICE_CLICKED_TIME_STRING    VARCHAR2(320),
    CLICKED_SERVER_TIME           TIMESTAMP(6)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    MANUAL_FLAG                   VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    PERSON_ID                     NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                 NUMBER(18, 0)    NOT NULL,
    TCLAYFLD_DEFNS_ID             NUMBER(18, 0)    NOT NULL,
    TCLAYFLD_DEFNS_INSTANCE_ID    NUMBER(18, 0)    NOT NULL,
    CLICKED_TIME                  TIMESTAMP(6)     NOT NULL,
    SEQUENCE_NUM                  NUMBER       ,
    REF_TIMEZONE_ID               VARCHAR2(200),
    TIMEZONE_OFFSET               NUMBER(22, 0),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    WC_CLICKED_TIME_ID            NUMBER(18, 0),
    TIME_EVENT_ID                 NUMBER(18, 0),
    CLICKED_TIME_STRING           VARCHAR2(320)    NOT NULL,
    CLICKED_SERVER_TIME           TIMESTAMP(6)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    PERSON_ID                     NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                 NUMBER(18, 0)    NOT NULL,
    TCLAYFLD_DEFNS_ID             NUMBER(18, 0)    NOT NULL,
    TCLAYFLD_DEFNS_INSTANCE_ID    NUMBER(18, 0)    NOT NULL,
    CLICKED_TIME                  TIMESTAMP(6)     NOT NULL,
    SEQUENCE_NUM                  NUMBER       ,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    DEVICE_CLICKED_TIME_STRING    VARCHAR2(320),
    REF_TIMEZONE_ID               VARCHAR2(200),
    TIMEZONE_OFFSET               NUMBER(22, 0),
    DEVICE_TYPE                   VARCHAR2(120),
    GEO_LOCATION                  VARCHAR2(600),
    GEO_LOC_EXCEPTION             VARCHAR2(120),
    MANUAL_FLAG                   VARCHAR2(4)  ,
    GEOFENCE_ERROR                VARCHAR2(120),
    GEOFENCE_VAL_STATUS           VARCHAR2(120),
    WORK_FROM_HOME_FLAG           VARCHAR2(12) ,
    CONSTRAINT pk_hxt_wc_clicked_times PRIMARY KEY (WC_CLICKED_TIME_ID, WC_CLICKED_TIME_ID)
);
